Subject: Re: bug#63399: 28.2; Documentation for yes-or-no-p wrong/different between docstring and lispref

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 May 2023 17:42:12 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 10 May 2023 16:07:45 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> I guess we should pad the prompt with a trailing space, if there isn't
> >> any already.
> >
> > No, I don't think we should.  The caller should take care of any
> > padding, if that is desired.  The function shouldn't second-guess
> > whether a space is needed or not.
> 
> Why the difference to y-or-no-p?

I don't know.

But there's no difference if the prompt ends in a space.